<?php

namespace AppBundle\Repository\Location;

use AppBundle\Entity\Location\District;
use AppBundle\Entity\Location\Town;

/**
 * CommentRepository
 *
 * This class was generated by the Doctrine ORM. Add your own custom
 * repository methods below.
 */
class DistrictRepository extends \Doctrine\ORM\EntityRepository
{
    public function queryDistricts(Town $town = null)
    {
        $qb = $this->createQueryBuilder('d');
        if($town) {
            $qb->andWhere('d.town = :town')
                ->setParameter('town', $town->getId());
        } else {
            $qb->andWhere('d.town IS NULL');
        }
        $qb->orderBy('d.name', 'ASC');

        return $qb;
    }
}
